package org.processmining.v7.postproc_during_tc;

import java.util.ArrayList;

public class MyProcessModel {
	private ArrayList<MyPlace> places;
	private final String[] transitions;

	public MyProcessModel(final ArrayList<MyPlace> places, final String[] transitions) {
		this.places = places;
		this.transitions = transitions;
	}

	public void addPlace(final MyPlace p) {
		places.add(p);
	}

	public MyProcessModel copy() {
		ArrayList<MyPlace> newPlaces = new ArrayList<MyPlace>(getPlaces());
		String[] newTransitions = new String[getTransitions().length];
		for (int i = 0; i < getTransitions().length; i++) {
			newTransitions[i] = getTransitions()[i];
		}
		return new MyProcessModel(newPlaces, newTransitions);
	}

	//G&S
	public ArrayList<MyPlace> getPlaces() {
		return places;
	}

	public String[] getTransitions() {
		return transitions;
	}

	public void setPlaces(final ArrayList<MyPlace> places) {
		this.places = places;
	}

}
